DBIx::Class::Storage::DBI::Replicated::WithDSN(3)

NAME
DBIx::Class::Storage::DBI::Replicated::WithDSN - A DBI Storage Role with DSN information in trace output

SYNOPSIS
This class is used internally by DBIx::Class::Storage::DBI::Replicated.

DESCRIPTION
This role adds "DSN: " info to storage debugging output.

METHODS
This class defines the following methods.

  around: _query_start
Add "DSN: " to debugging output.

ALSO SEE
DBIx::Class::Storage::DBI

AUTHOR
John Napiorkowski <john.napiorkowski@takkle.com>

LICENSE
You may distribute this code under the same terms as Perl itself.